
	MODULE  chunkModule
#include <receiverf.h>

          TYPE, PUBLIC :: chunk_type
            INTEGER height
            INTEGER width
            REAL(KIND=8) temperature(100,12)

            INTEGER(KIND=8) objPtr
            INTEGER index, iterations
          END TYPE chunk_type

          TYPE chunk_struct
            TYPE (chunk_type), POINTER::  chunk_ptr
          END TYPE chunk_struct

          INTEGER nblock;
          REAL(KIND=8) start, endTime

        END MODULE chunkModule

